jif.types

## Enum InformationFlowTrace.Direction

- java.lang.Object
- - java.lang.Enum<InformationFlowTrace.Direction>
  - - jif.types.InformationFlowTrace.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InformationFlowTrace.Direction>
  Enclosing class:
    InformationFlowTrace

      public static enum InformationFlowTrace.Direction
      extends java.lang.Enum<InformationFlowTrace.Direction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH`
    `IN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InformationFlowTrace.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InformationFlowTrace.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final InformationFlowTrace.Direction IN

    - #### BOTH

          public static final InformationFlowTrace.Direction BOTH

  - ### Method Detail

    - #### values

          public static InformationFlowTrace.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InformationFlowTrace.Direction c : InformationFlowTrace.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InformationFlowTrace.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null